import React, {FC, useEffect, useState} from "react";
import Cookies from "js-cookie";
import {getBaseInfoByWxId,addWxLabel,getWxLabel,deleteWxLabel,updateBaseInfoFromCompanyWx,getOrderInfoByWxId} from "../api";
import {Spin,Form, Input, Button, Select,Radio,Tag} from "antd";
import { SearchOutlined,DownOutlined,UpOutlined,RightOutlined,LeftOutlined } from '@ant-design/icons';
import './../css/home.css'
// import jt from './../assets/images/jt.png'
import {jsSdk} from "../index"
import {useHistory,Link ,withRouter} from "react-router-dom";
// import { spawn } from "child_process";

const Home: FC = () => {
  const history = useHistory()
  const [loading] = useState<boolean>(false);
  const [userId, setUserId] = useState<any>('');
  const [customInfoEdit,setCustomInfoEdit] = useState<boolean>(false);
  const [labelValue,setlabelValue]= useState<string>('');
  const [labelColor,setlabelColor]= useState<string>('blue');
  const [cindex,setIndex] = useState<any>(0)
  const [customInfo,setCustomInfo] = useState<any>({});
  const [open,setOpen]= useState<boolean>(false);
  const [labels,setLabels] = useState<any>([{id:2,labelName:'跑步',color:'blue'},{id:2,labelName:'教育',color:'green'}]);
  const [idTypeOpt] = useState<any>([
    {
      value: 0,
      label: '身份证',
    },
    {
      value: 1,
      label: '护照',
    },
    {
      value: 2,
      label: '港澳回乡证',
    },
    {
      value: 3,
      label: '台胞证',
    },
    {
      value: 4,
      label: '其它',
    },
  ])
  const [idTypeOptObj] = useState<any>(
    {
      '0':'身份证',
      '1':'护照',
      '2':'港澳回乡证',
      '3':'台胞证',
      "4":'其它'
    }
) 
const [orderList,setOrderList] = useState<any>(
  [
    {
      name:'戈有好物',
      price:"0.00元"
    },
    {
      name:'纷享销客',
      price:"0.00元"
    },
    {
      name:'客户中心',
      price:""
    }
  ]
)
const [gyqList] = useState<any>(
  [
    {
      name:'本月打卡里程',
      value:"335"
    },
    {
      name:'最后打卡时间',
      value:"2020-03-01 / 15:32"
    }
  ]
)
  const { Option } = Select;
const [orderInfo,setOrderInfo]=useState<any>([])

const layout = {
  labelCol: { span: 8 },
  wrapperCol: { span: 16 },
};
// const tailLayout = {
//   wrapperCol: { offset: 8, span: 16 },
// };
  const [form] = Form.useForm();
  // const onGenderChange = (value: string) => {
  //   switch (value) {
  //     case 'male':
  //       form.setFieldsValue({ note: 'Hi, man!' });
  //       return;
  //     case 'female':
  //       form.setFieldsValue({ note: 'Hi, lady!' });
  //       return;
  //     case 'other':
  //       form.setFieldsValue({ note: 'Hi there!' });
  //   }
  // };

  const onFinish = (values: any) => {
    console.log(values);
  };

  // const onReset = () => {
  //   form.resetFields();
  // };

  // const onFill = () => {
  //   console.log(customInfo)
  //   debugger
  // };
  const updown=(e:boolean)=>{
    setOpen(e)
  }
  const testClick=(): void=>{
    setCustomInfoEdit(!customInfoEdit)
    setOpen(true)
  }
  const labelAdd=(e:any)=>{
    // console.log(e.target.value)
    setlabelValue(e.target.value)
    console.log(labelValue)
    
  }
  // 获取当前外部联系人信息
  const getUserInfo = async () => {
    // setLoading(true);
    // const userId = Cookies.get('userId')
    const userInfo:any = Cookies.get('userInfo')
    // const userInfo = await fetchUser(userId || '')
    console.log(userInfo)
    // setUser(JSON.parse(userInfo))
    // setLoading(false)
  }
  //保存
  const save = async ()=>{
    let data:any = {...customInfo}
    delete data.addTime
    delete data.updateTime
    console.log(data)
    const res = await updateBaseInfoFromCompanyWx(data)
    console.log(res)
  }
  const getExternalUserInfo = async () => {
    const res = await jsSdk.invoke<{ userId?: string }>('getCurExternalContact', {})
    if (!res || !res.userId) return
    setUserId(res.userId)
    let data:any = {wxId:res.userId}
    const userInfo = await getBaseInfoByWxId(data)
    if(userInfo.data && userInfo.data.userInfo){
      form.setFieldsValue({...userInfo.data.userInfo});
      setCustomInfo({...userInfo.data.userInfo})
    }
    console.log(userInfo)
    if(userInfo.data && userInfo.data.labelList){
      setLabels([...userInfo.data.labelList])
    }
    getorderInfo(res.userId)
  }
  const getWxLabels = async ()=>{
    let data:any={
      labelName:'',
      page:1,
      limit:10000
    }
    const labels = await getWxLabel(data)
    console.log(labels)
  }
  const deleteLabel = async(e:any)=>{
    console.log(e)
    const res = await deleteWxLabel([e.id])
    console.log(res)
  }
  const addColor=(color:string,index:number)=>{
    setlabelColor(color)
    setIndex(index)
  }
  const getInput = async (e:any) => {
    if (e.key === 'Enter') {
      let data:any ={
        labelName:labelValue,
        labelColor:labelColor,
        wxId:userId
      }
      const res = await addWxLabel(data)
      if(res.data.indexOf('OK')>-1){
        setlabelValue('')
        getExternalUserInfo()
      }
    }
  }
  // const onChange=()=>{

  // }
  // const onSearch=()=>{
    
  // }
  //获取订单信息
  const getorderInfo = async (id:any) => {
    // const res = await jsSdk.invoke<{ userId?: string }>('getCurExternalContact', {})
    // if (!res || !res.userId) return
    // setUserId(res.userId)
    let data:any = {wxId:id}
    const orderInfo = await getOrderInfoByWxId(data)
    let orderItem = [...orderList]
    orderItem[2].price = orderInfo.data.clientOrderPrice
    //戈友好物和纷享销客暂时不做先屏蔽
    // orderItem[1].price = orderInfo.data.fxxkPrice
    // orderItem[0].price = orderInfo.data.gyhwPrice
    setOrderList(orderItem)
    setOrderInfo(orderInfo.data)
    
  }
  const Goto = async ()=>{    
    if(!userId) return
    // 页面跳转方法
    history.push({pathname: '/Order', state: { orderInfo,userId }})
  }
  useEffect(() => {
    getUserInfo();
    getExternalUserInfo()
    getWxLabels()
    
  },[] )
  // const { getFieldsValue,getFieldDecorator } = this.props.form;

  return (
    <Spin spinning={loading}>
      <div className="homecontent">
        <div className="flex spaceBetween mg20">
        
          {
            !customInfoEdit?  <span className='wordKb'>用户看板中心</span>:  <span className='wordKb'><LeftOutlined  onClick={testClick}/> 客户信息</span>
          }
          {
            !customInfoEdit? <Link to="/findCustom"><Button type="primary" icon={<SearchOutlined />}>查找客户</Button></Link>:
            <Button className="save" type="primary" onClick={save}>保存</Button>
          }
          
        </div>
        <div className="custom mg20">
          <div className="flex spaceBetween customitem">
            <p className='word'>客户信息</p>
            {/* <img src={jt} alt="" className="more" onClick={testClick}/> */}
            {customInfoEdit?null:<div className="more"  onClick={testClick}><RightOutlined /></div>}
          </div>
          {/* <div className="flex">
            <span>{customInfo.realName || '-' }</span>
            <div>{ customInfo.account_level }</div>
          </div> */}
          <div className="">
          {customInfoEdit && false?(
                <div  className="labelAdd">
                  <div className='greyb'>
                      {labels.map((item:any)=> <Tag closable onClose={deleteLabel.bind(this,item)} className={"tags" +" "+item.companyWxLabelColor}>{item.companyWxLabel}</Tag>)}
                  </div>
                  <div className="flex mgt20 f12">
                    <span>添加标签：</span>
                    {/* {labelValue} */}
                    {/* <TextArea style={{width: '100%', marginBottom: 8}} value={labelValue} onChange={e => labelAdd(e.target.value)}/> */}
                    <input type="text" className="greyInt" value={labelValue}  onChange={labelAdd} onKeyDown={getInput}/>
                    {/* <Select
                      showSearch
                      placeholder="Select a person"
                      optionFilterProp="children"
                      onChange={onChange}
                      onSearch={onSearch}
                      filterOption={(input:any, option:any) =>
                        option.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
                      }
                    >
                      <Option value="jack">Jack</Option>
                      <Option value="lucy">Lucy</Option>
                      <Option value="tom">Tom</Option>
                    </Select> */}
                  </div>
                  <div className="flex flex-warp mgt20 clor f12">
                    <span>添加颜色：</span>
                    <div className={cindex===0?"border0 line blue":"line blue"} onClick={addColor.bind(this,'blue',0)}>
                      <div className="innerline"></div>
                    </div>
                    <div className={cindex===1?"border1 line green":"line green"} onClick={addColor.bind(this,'green',1)}><div className="innerline innerGreen"></div></div>
                    <div className={cindex===2?"border2 line orange":"line orange"} onClick={addColor.bind(this,'orange',2)}><div className="innerline innerOrgane"></div></div>
                    <div className={cindex===3?"border3 line red":"line red"}  onClick={addColor.bind(this,'red',3)}><div className="innerline innerRed"></div></div>
                    <div className={cindex===4?"border4 line greyl":"line greyl"} onClick={addColor.bind(this,'greyl',4)}><div className="innerline innerGrey"></div></div>
                  </div>
                </div>

              ): ('')}
            <div className="inner flex spaceBetween honme">
              <Form {...layout} name="control-hooks" onFinish={onFinish} initialValues={customInfo} form={form}>
                <div className={!open?"ssbox":""}>
                  {!customInfoEdit?(<div className="flex spaceBetween showt">
                    <span>{customInfo.realName || '-' }</span>
                    <div className='grad'>{ customInfo.account_level || '重要客户' }</div>
                  </div>): ('')}
                  {customInfoEdit?(
                    <Form.Item name="realName" label="客户名称" >
                        <Input  placeholder="请输入客户名称" value={customInfo.realName}/>
                      </Form.Item>
                  ): ('')}
                    
                    {!customInfoEdit?(<div className="flex flex-wrap">
                        <div className="flex mgr20">
                            <span className='greyWord'>性别：</span>
                            {customInfo.sex===1?(
                              <div><span className="radio-wight radio-text radio-text-m"> ♂</span> <span className="radio-text radio-text-m f12"> 男</span></div>)
                              :(
                              <div><span className="radio-wight radio-text radio-text-w"> ♂</span> <span className="radio-text radio-text-w f12"> 女</span></div>
                            )}
                        </div>
                        <div className="flex mgr20">
                            <span className='greyWord'>手机号：</span>
                            <span className="f12">{customInfo.mobileNumber || '-'}</span>
                        </div>
                        <div className="flex">
                            <span className='greyWord'>积分：</span>
                            <span >{customInfo.point || '-'}</span>
                        </div>
                      </div>):('')}
                      
                      {customInfoEdit?( <Form.Item name="sex" label="性别" >
                      <Radio.Group value={customInfo.sex}>
                        <Radio value={1} ><span className="radio-wight radio-text radio-text-m"> ♂</span> <span className="radio-text radio-text-m"> 男</span></Radio>
                        <Radio value={2}><span className="radio-wight radio-text radio-text-w"> ♀</span> <span className="radio-text radio-text-w"> 女</span></Radio>
                      </Radio.Group>
                    </Form.Item>)
                    :('')}
                    {customInfoEdit?(<Form.Item name="idType" label="证件类型" >
                      <Select
                        placeholder="请选择证件类型"
                        value={customInfo.idType}
                        allowClear
                      >
                        {idTypeOpt.map((item:any) =>  <Option value={item.value}>{item.label}</Option>)}
                      </Select>
                    </Form.Item>):('')}
                    {customInfoEdit?(<Form.Item name="idNumber" label="证件号" >
                    <Input  placeholder="请输入证件号" value={customInfo.idNumber}/>
                    </Form.Item>):('')}
                    {/* {customInfoEdit?(<Form.Item name="mobileNumber" label="手机号" >
                      {customInfo.mobileNumber}
                    </Form.Item>):('')}
                    {customInfoEdit?(<Form.Item name="point" label="积分" >
                      {customInfo.point}
                    </Form.Item>):('')} */}
                    <div className="flex">
                        <span className='greyWord'>公司：</span>
                        <span className="f12">{customInfo.corp || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>职务：</span>
                        <span className="f12">{customInfo.position || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>最后跟进：</span>
                        <span className="f12">{customInfo.corp || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>备注：</span>
                        <span className="f12">{customInfo.keywords}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>地区：</span>
                        <span className="f12">{customInfo.area || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>收货地址：</span>
                        <span className="f12">{customInfo.addr || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>Email：</span>
                        <span className="f12">{customInfo.email || '-'}</span>
                    </div>
                    <div className="flex">
                        <span className='greyWord'>戈友ID：</span>
                        <span className="f12">{customInfo.gyId || '-'}</span>
                    </div>
                    {!customInfoEdit?(
                    <div className="flex">
                        <span className='greyWord'>证件类型：</span>
                        <span className="f12">{idTypeOptObj[customInfo.idType] || '-'}</span>
                    </div>):('')}
                    {!customInfoEdit?(<div className="flex">
                        <span className='greyWord'>证件号：</span>
                        <span className="f12">{customInfo.idNumber || '-'}</span>
                    </div>):('')}
                </div>
                {/* {!customInfoEdit?(<div className="labels grey">
                  <div className="greyWord">客户标签</div>
                  <div className="flex flex-wrap w100">
                    {labels.map((item:any,idx:number)=><div className={"labelStyle" + " " +item.companyWxLabelColor }>{item.companyWxLabel}</div>)}
                  </div>
                  
                </div>):('')} */}
                {!open?<div className="dicon" onClick={updown.bind(this,true) }><DownOutlined /></div>
                :<div className="dicon" onClick={updown.bind(this,false) }><UpOutlined /></div>}
                {/* <Form.Item {...tailLayout}>
                  <Button type="primary" htmlType="submit">
                    Submit
                  </Button>
                  <Button htmlType="button" onClick={onReset}>
                    Reset
                  </Button>
                  <Button type="link" htmlType="button" onClick={onFill}>
                    Fill form
                  </Button>
                </Form.Item> */}
                
              </Form>
            </div>
          </div>
        </div>
        <div className="custom mg20">
          <div className="flex spaceBetween customitem">
            <p className='word'>订单信息</p>
            {/* <img src={jt} alt="" className="more" onClick={testClick}/> */}
            
            <div className="more" onClick={Goto}><RightOutlined /></div>
          </div>
          <div className="order">
            {
              orderList.map((item:any,idx:number)=>
                <div className={(idx<orderList.length-1)?'lineD9 flex spaceBetween':'flex spaceBetween'}>
                      <span className="blackWord">{item.name}</span>
                      <p>
                        <span className='greyWord'>订单总额：</span>
                        <span className='greenWord mgr50'>{item.price}</span>
                      </p>
                </div>
              )
            }
            
          </div>
          
        </div>
        <div className="custom mg20">
          <div className="flex spaceBetween customitem">
            <p className='word'>戈友圈</p>
            {/* <img src={jt} alt="" className="more" onClick={testClick}/> */}
            <div className="more"  onClick={testClick}><RightOutlined /></div>
          </div>
          <div className="order">
            <div className="noData">暂无数据</div>
            {/* {
              gyqList.map((item:any,idx:number)=>
                <div className={(idx<gyqList.length-1)?'lineD9 flex spaceBetween':'flex spaceBetween'}>
                      <span className="blackWord">{item.name}</span>
                      <p>
                        <span className={idx!==0?'blackWord3B':'redword'}>{item.value}</span>
                        {idx===0? <span className="redword"> km</span>:''}
                      </p>
                </div>
              )
            } */}
            
          </div>
        </div>
      </div>
    </Spin>
  )
}

export default Home;
